Bug 1908437 - Operator backed with no icon has no badge associated with the CSV tag
Summary: Operator backed with no icon has no badge associated with the CSV tag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jeff Phillips
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-16 17:26 UTC by Jeff Phillips
Modified: 2021-02-24 15:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-12-14-165231 Cluster ID: 3b93d33c-9765-42c5-9756-0a20261f9136 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36
Last Closed: 2021-02-24 15:45:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Operator backed with no icon has badge associated with the CSV tag (22.25 KB, image/png)
2020-12-22 21:49 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7580 0 None closed Bug 1908437: Fix to show default operator icon for topology OBS group node w/o icon 2020-12-22 21:47:56 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:45:41 UTC

Description Jeff Phillips 2020-12-16 17:26:11 UTC
Description of problem:

After installing the operator with no icon I do not get to see any icon associated with CSV text

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Install Elastic search operator
2. Go to the installed namespace
3. Check the operator-backed pod in topology

Actual results:

There is no icon associated with csv tag leaving an empty white circle preceding the group name.

Expected results:

The default operator icon is shown preceding the group name.

Additional info:

Comment 3 spathak@redhat.com 2020-12-22 21:49:46 UTC
Created attachment 1741457 [details]
Operator backed with no icon has badge associated with the CSV tag

Comment 4 spathak@redhat.com 2020-12-22 21:51:37 UTC
Verified on build number: 4.7.0-0.ci-2020-12-21-160632
Browser version: Chrome 84

Comment 6 errata-xmlrpc 2021-02-24 15:45:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.